summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorZachary Koesters2015-12-18 14:08:08 -0600
committerZachary Koesters2015-12-18 14:08:08 -0600
commitec1afdfe46acfe7b56d4c917aa33f22de7b9da0c (patch)
treefb3e2dba5228e63c52698bc9f7f0a90307563966
downloadaur-ec1afdfe46acfe7b56d4c917aa33f22de7b9da0c.tar.gz
Initial commit
-rw-r--r--.SRCINFO23
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD30
-rw-r--r--brother-mfc-l8850cdw.install12
4 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f3f9f9d93f3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+# Generated by mksrcinfo v8
+# Fri Dec 18 20:05:27 UTC 2015
+pkgbase = brother-mfc-l8850cdw
+ pkgdesc = LPR and CUPS driver for the Brother MFC-L8850CDW
+ pkgver = 1.1.2
+ pkgrel = 1
+ url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
+ install = brother-mfc-l8850cdw.install
+ arch = i686
+ arch = x86_64
+ license = unknown
+ depends = tcsh
+ depends = deb2targz
+ depends = perl
+ depends = a2ps
+ depends = lib32-libcups
+ source = http://download.brother.com/welcome/dlf101092/mfcl8850cdwlpr-1.1.2-1.i386.deb
+ source = http://download.brother.com/welcome/dlf101093/mfcl8850cdwcupswrapper-1.1.2-1.i386.deb
+ sha256sums = 7e681eb44a81e018706319f2f99ef1372ff75488c83573b94cfd1bcc1522ae0c
+ sha256sums = 9c8969ca59410804dbaf80e7bc437fbed5576a9c8fa68c061c2d48cc130afb04
+
+pkgname = brother-mfc-l8850cdw
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..ca7b13da710
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+pkg/
+src/
+*.deb
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8e1cd504789
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+model="l8850cdw"
+pkgname="brother-mfc-$model"
+pkgver="1.1.2"
+pkgrel=1
+_revision=1
+pkgdesc="LPR and CUPS driver for the Brother MFC-L8850CDW"
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+arch=('i686' 'x86_64')
+license='unknown'
+install="brother-mfc-${model}.install"
+depends=('tcsh' 'deb2targz' 'perl' 'a2ps' 'lib32-libcups')
+source=("http://download.brother.com/welcome/dlf101092/mfc${model}lpr-${pkgver}-${_revision}.i386.deb"
+ "http://download.brother.com/welcome/dlf101093/mfc${model}cupswrapper-${pkgver}-${_revision}.i386.deb")
+sha256sums=('7e681eb44a81e018706319f2f99ef1372ff75488c83573b94cfd1bcc1522ae0c'
+ '9c8969ca59410804dbaf80e7bc437fbed5576a9c8fa68c061c2d48cc130afb04')
+
+
+package() {
+ deb2targz *.deb >/dev/null || return 1
+ rm -f *.deb || return 1
+ cd $srcdir || return 1
+ [ -d "mfc${model}" ] || (mkdir mfc${model} || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfc${model};done || return 1
+ cd mfc${model} || return 1
+ cd opt/brother/Printers/mfc${model} || return 1
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${model} || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${model}/opt/brother/Printers/mfc${model}/inf/setupPrintcapij || return 1
+ cp -rf $srcdir/mfc${model}/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfc${model}/opt/ $pkgdir/ || return 1
+}
diff --git a/brother-mfc-l8850cdw.install b/brother-mfc-l8850cdw.install
new file mode 100644
index 00000000000..e14e5f5e00d
--- /dev/null
+++ b/brother-mfc-l8850cdw.install
@@ -0,0 +1,12 @@
+post_install() {
+ post_upgrade;
+}
+
+post_upgrade() {
+ /opt/brother/Printers/mfcl8850cdw/cupswrapper/cupswrappermfcl8850cdw >/dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
+}